{% extends "gc/basepage.html" %}

{% block head %}
    {% load staticfiles %}
    <link href="{% static 'website/css/magnific-popup.css' %}" rel="stylesheet">
    <style>
        .fixed-top.scrolled{background-color:#062c33!important;transition:background-color .2s linear}.fixed-top.scrolled .nav-link{color:#fff!important}.footer-color{color:#212529}.button-from-top{margin-top:50px}@media (max-width:700px){.font-size{font-size:11px}.table-size{font-size:9px}.table-row-height-small{height:20px}.table-row-height-medium{height:20px}.table-row-height-large{height:20px}}@media (min-width:700px){.font-size{font-size:13px}.table-size{font-size:11px}.table-row-height-small{height:20px}.table-row-height-medium{height:50px}.table-row-height-large{height:80px}}.margin-div-section{padding-top:70px}.item-header-background{background-color:#212529}.img-centered{display:block;margin:auto}.input-class{margin:5px;padding:.375rem .75rem;line-height:1.5;color:#495057;background:#fff none;background-clip:padding-box;border:1px solid #ced4da;border-radius:.25rem;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s}.open ul li:hover{color:red}.padding{padding:10px}.margin{margin:3px}i{cursor:pointer}#contact-us{cursor:pointer}#filter-text{cursor:pointer}ul li a{cursor:pointer}.ui-autocomplete{overflow-y:scroll;max-height:200px;width:200px;list-style-type:none}.ui-autocomplete li{background-color:#fff;text-align:right;cursor:pointer}.ui-autocomplete li div{color:#000;cursor:pointer;font-size:11px}
    </style>
{% endblock %}

{% block content %}
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
        <div class="container">

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto pull-right">
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="{% url 'homepage' %}">خانه</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#services">محصولات</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#portfolio">برندها</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#contact">اطلاعات تماس</a>
                    </li>
                </ul>
            </div>

        </div>
    </nav>

    <div class="bg-white margin-div-section" id="about">

        <div class="row">
            <div class="mx-auto text-center font-size"><br><br>
                <p class="font-size">مدل های مورد نظر خود را از لیست پیشنهادی انتخاب نمایید</p>
                <input id="modelone" class="input-class filter-size font-size" placeholder="مدل اول">
                <input id="modeltwo" class="input-class filter-size font-size" placeholder="مدل دوم">
                <input id="modelthr" class="input-class filter-size font-size" placeholder="مدل سوم"><br><br>
            </div>
        </div>
        <div class="row">
            <div class="col box-centered">
                <a id="filter" class="text-white button-from-top btn btn-danger btn-xl js-scroll-trigger box-centered">
                    <div id="filter-text" class="font-size">مقایسه</div>
                </a>
            </div>
        </div>
        <br>

    </div>

    <div id="services" class="">
        <div class="container">

            <br>
            <div class="row white-bg padding">
                {% if length > 1 %}
                    {% for item in models %}
                        <div class="col-md-3 col-xs-3 padding text-right">
                            <p class="table-size has-number table-row-height-medium">{{ item.21.1 }} </p>
                            <p class="table-size has-number table-row-height-small">{{ item.0.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.1.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.2.1 }}</p>
                            <p class="table-size has-number table-row-height-large">{{ item.3.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.4.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.5.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.6.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.7.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.8.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.9.1 }}</p>
                            <p class="table-size has-number table-row-height-large">{{ item.10.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.11.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.12.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.13.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.14.1 }}</p>
                            <p class="table-size has-number table-row-height-medium">{{ item.15.1 }}</p>
                            <p class="table-size has-number table-row-height-medium">{{ item.16.1 }}</p>
                            <p class="table-size has-number table-row-height-medium">{{ item.17.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.18.1 }}</p>
                            <p class="table-size has-number table-row-height-medium">{{ item.19.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.20.1 }}</p>
                            <p class="table-size has-number table-row-height-small">{{ item.23.1 }}</p>
                            <p class="table-size table-row-height-small">{% autoescape off %}{{ item.24.1 }}{% endautoescape %}</p>
                            <img class="img-fluid d-block mx-auto" src="{{ item.22.1 }}">
                        </div>
                    {% endfor %}
                {% endif %}
                {% if length == 1 %}
                    <h2 class="font-size text-center"> مدلی برای مقایسه انتخاب نمایید </h2>
                {% endif %}
            </div>

        </div>

    </div><br><br><br>


{% endblock %}

{% block jsscript %}
    <script src="{% static 'website/js/jquery.easing.min.js' %}"></script>
    <script src="{% static 'website/js/scrollreveal.min.js' %}"></script>
    <script src="{% static 'website/js/jquery.magnific-popup.min.js' %}"></script>
    <script src="{% static 'website/js/creative.min.js' %}"></script>

    <script>
        let availableTags=JSON.parse("{{ titles|escapejs }}"),modelOne=$("#modelone"),modelTwo=$("#modeltwo"),modelThr=$("#modelthr");function search(){let e=modelOne[0].value,l=modelTwo[0].value,o=modelThr[0].value,a=!1,t="https://gooshichand.com/compare/?models=";""!==e&&(t+=(e=e.replace(/ /g,"_"))+",",a=!0),""!==l&&(t+=(l=l.replace(/ /g,"_"))+",",a=!0),""!==o&&(t+=(o=o.replace(/ /g,"_"))+",",a=!0),a&&(t=t.substring(0,t.length-1),window.location=t)}modelOne.autocomplete({source:availableTags,change:function(e,l){l.item||modelOne.val("")}}),modelTwo.autocomplete({source:availableTags,change:function(e,l){l.item||modelTwo.val("")}}),modelThr.autocomplete({source:availableTags,change:function(e,l){l.item||modelThr.val("")}}),$(function(){$(document).scroll(function(){let e=$(".fixed-top");e.toggleClass("scrolled",$(this).scrollTop()>e.height())})}),$(document).ready(function(){let e,l=window.location.href,o=(l=decodeURI(l)).split("models=");if(o.length>1){e=(e=o[1].split(",")[0]).replace(/_/g," "),modelOne.val(e);let l=o[1].split(",");l.length>1&&(e=(e=l[1]).replace(/_/g," "),modelTwo.val(e)),(l=o[1].split(",")).length>2&&(e=(e=l[2]).replace(/_/g," "),modelThr.val(e))}}),$("#filter").click(function(){search()});
    </script>
{% endblock %}
